cURL
curl -X GET "https://app.cotool.ai/api/detection-rules/github-repos" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json"import requests
url = "https://app.cotool.ai/api/detection-rules/github-repos"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.cotool.ai/api/detection-rules/github-repos', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://app.cotool.ai/api/detection-rules/github-repos")
.header("Authorization", "Bearer <token>")
.asString();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.cotool.ai/api/detection-rules/github-repos"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"repos": [
{
"owner": "<string>",
"name": "<string>",
"fullName": "<string>",
"defaultBranch": "<string>",
"isDetectionRepo": true
}
],
"suggestedRepo": {
"owner": "<string>",
"name": "<string>",
"fullName": "<string>",
"defaultBranch": "<string>",
"isDetectionRepo": true
}
}{
"error": "<string>",
"issues": [
{}
]
}{
"error": "<string>"
}{
"error": "<string>",
"missingPerms": [
"<string>"
]
}{
"error": "<string>"
}Detection Rules
List available GitHub repositories
List GitHub repositories accessible for creating detection PRs.
GET
/
api
/
detection-rules
/
github-repos
cURL
curl -X GET "https://app.cotool.ai/api/detection-rules/github-repos" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json"import requests
url = "https://app.cotool.ai/api/detection-rules/github-repos"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.cotool.ai/api/detection-rules/github-repos', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://app.cotool.ai/api/detection-rules/github-repos")
.header("Authorization", "Bearer <token>")
.asString();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.cotool.ai/api/detection-rules/github-repos"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"repos": [
{
"owner": "<string>",
"name": "<string>",
"fullName": "<string>",
"defaultBranch": "<string>",
"isDetectionRepo": true
}
],
"suggestedRepo": {
"owner": "<string>",
"name": "<string>",
"fullName": "<string>",
"defaultBranch": "<string>",
"isDetectionRepo": true
}
}{
"error": "<string>",
"issues": [
{}
]
}{
"error": "<string>"
}{
"error": "<string>",
"missingPerms": [
"<string>"
]
}{
"error": "<string>"
}Authorizations
API Key authentication for programmatic access. Include your API key in the Authorization header as: Bearer your_api_key_here
Was this page helpful?
⌘I